package com.jiuqi.util;

import java.util.Enumeration;

/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/StringTokenEnumeration.class */
public class StringTokenEnumeration implements Enumeration {
    private String text;
    private String delimeter;
    private int cursor;

    public StringTokenEnumeration(String text, String delimeter) {
        this.text = text;
        this.delimeter = delimeter;
        this.cursor = 0;
    }

    public StringTokenEnumeration(String text) {
        this(text, ".");
    }

    @Override // java.util.Enumeration
    public boolean hasMoreElements() {
        return this.text != null && this.cursor < this.text.length();
    }

    @Override // java.util.Enumeration
    public Object nextElement() {
        String result = null;
        int next = this.text.indexOf(this.delimeter, this.cursor);
        if (next >= this.cursor) {
            result = this.text.substring(this.cursor, next);
            this.cursor = next + 1;
        } else {
            if (this.cursor < this.text.length()) {
                result = this.text.substring(this.cursor);
            }
            this.cursor = this.text.length();
        }
        return result;
    }

    public static void main(String[] args) {
        Enumeration itr = new StringTokenEnumeration("a.bc.e..f", ".");
        int i = 0;
        while (itr.hasMoreElements()) {
            System.out.println(String.valueOf(i) + ":" + itr.nextElement());
            i++;
        }
    }
}
